.widget-popular-room--card {
	position: relative;
	padding: 12px;
	background-color: var(--whisper-900);
	border-radius: 12px;
}

.widget-popular-room--card__label {
	position: absolute;
	top: -16px;
	left: 0;
	padding: 2px 10px;
	height: 35px;
	background-color: var(--comet-400);
	color: var(--white);
	font-size: 11px;
	font-weight: 600;
	text-transform: uppercase;
	line-height: 12px;
	border-radius: 12px 12px 0 0;
	z-index: -1;
}

.widget-popular-room--card__header {
	display: grid;
	align-items: center;
	grid-template-columns: 48px 1fr;
	grid-gap: 12px;
	margin-bottom: 16px;
}

.widget-popular-room--card__logo img {
	height: 48px;
	object-fit: cover;
	border-radius: 4px;
	transition: opacity ease .1s;
}

.widget-popular-room--card__logo:hover img {
	opacity: .85;
}

.widget-popular-room--card__header-content {
	display: flex;
	align-items: center;
}

.widget-popular-room--card__name {
	display: inline-block;
	color: inherit;
	font-weight: 600;
	line-height: 20px;
	text-decoration: underline;
	text-underline-position: under;
	transition: color ease .1s;
}

.widget-popular-room--card__name:hover {
	color: var(--azure-radiance-400);
}

.widget-popular-room--card__rating {
	margin-left: auto;
}

.widget-popular-room--card__rating::after {
	font-size: 18px;
	color: var(--mustard-400);
	line-height: 20px;
}

.widget-popular-room--card__rating .svg-icon {
	font-size: 16px;
}

.widget-popular-room--card__rating .svg-icon:not(:first-child) {
	display: none;
}

.widget-popular-room--card__bonus {
	font-size: 18px;
	font-weight: 600;
	line-height: 28px;
	margin-bottom: 12px;
}

.widget-popular-room--card__btns {
	display: flex;
	gap: 12px;
}

.widget-popular-room--card__btn {
	flex: 1;
}

.widget-popular-room--card__btn--play:not(:empty) ~ .widget-popular-room--card__btn--view,
.widget-popular-room--card__btn--promocode:not(:empty) ~ .widget-popular-room--card__btn--review {
	display: none;
}

.widget-popular-room--card__btn--play:not(:empty) ~ .widget-popular-room--card__btn--promocode {
	order: -1;
	background-color: transparent;
	box-shadow: inset 0 0 0 1px var(--whisper-500);
}

.widget-popular-room--card__btn--play:not(:empty) ~ .widget-popular-room--card__btn--promocode:hover {
	box-shadow: inset 0 0 0 2px var(--white);
}

.widget-popular-room--card__btn--play:not(:empty) ~ .widget-popular-room--card__btn--promocode .button--promocode__code::before {
	color: var(--whisper-400);
}

@media (min-width: 768px) {
	.widget-popular-room--card {
		display: flex;
		flex-direction: column;
	}

	.widget-popular-room--card__btns {
		margin-top: auto;
	}

}